API referenceExtraction sessions
Get the latest extraction session
GET
/extraction-sessions/latestThe most recent session, optionally scoped to a project. 404 if none.
Authorization
bearerAuth AuthorizationBearer <token>
An API key created in Settings → API Keys.
In: header
Query Parameters
projectId?string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/extraction-sessions/latest"{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "createdAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "subscriptionId": "d079718b-ff63-45dd-947b-4950c023750f", "creator": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "string", "firstName": "string", "lastName": "string" }, "status": "NOT_STARTED", "documentCount": 0 }, "meta": { "requestId": "string", "timestamp": "string" }}